/*
 Ping.cpp - Library for using Ping))) Sensors with Arduino - Version 2
 Copyright (c) 2009 Caleb Zulawski.  All right reserved.
 
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.
 
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.
 
 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
#ifndef Ping_h
#define Ping_h

#include "WProgram.h"

class Ping
{
  public:
    Ping(int pin);
    Ping(int pin, int in, int cm);
    void fire();
    int microseconds();
    long inches();
    long centemeters();
  private:
    int _pin;
    int _in;
    int _cm;
    long _duration;
};

#endif
